## ncbi-blast+ 2.10.1+ds

=== c++/src/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 608162 2020-05-12 16:01:31Z blastadm $
#############################################################################

cmake_minimum_required(VERSION 3.3)
include(build-system/cmake/CMakeLists.top_builddir.txt)
