=== c++/src/objects/mmdb/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_library(mmdb)
