=== c++/src/algo/blast/api/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593585 2019-09-20 13:57:47Z gouriano $
#############################################################################

NCBI_add_library(xblast)
