=== c++/src/objects/variation_libs/dbsnp/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593488 2019-09-19 14:56:53Z gouriano $
#############################################################################

NCBI_add_subdirectory(search_by_rsid tooltip_service)
