=== c++/src/objtools/data_loaders/blastdb/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593577 2019-09-20 12:22:42Z gouriano $
#############################################################################

NCBI_add_library(ncbi_xloader_blastdb ncbi_xloader_blastdb_rmt)
NCBI_add_subdirectory(unit_test)
