=== debian/changelog ===
ncbi-blast+ (2.10.1+ds-1) unstable; urgency=medium

  * Repack without c++/src/build-system/project_tree_builder_gui/bin.
    Debian builds make no use of this (Java) GUI or supporting third-party
    jars, and could do without prebuilt binaries even if they did use it.
  * debian/copyright:
    - Set Files-Excluded accordingly.
    - Correct typos for c++/src/html/ncbi_menu*.js; in particular, replace
      duplicate .../ncbi_menu_dnd.js by .../ncbi_menu_dyn.js.
  * debian/watch: Set dversionmangle and repacksuffix options accordingly.
  * debian/source/lintian-overrides: For ncbi_menu*.js, which are editable
    despite long lines, override source-contains-prebuilt-javascript-object
    in addition to source-is-missing.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Oct 2020 17:23:46 -0400

ncbi-blast+ (2.10.1-3) unstable; urgency=medium

  * debian/patches/tune_lmdb_defaults: Scale down slightly more on 32-bit
    mips* (just mipsel in practice these days).  The sizes at this point
    are 640 MiB there, 750 MB on other 32-bit platforms, and 20 GB on
    64-bit platforms.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 04 Oct 2020 21:37:04 -0400
