=== c++/src/algo/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593585 2019-09-20 13:57:47Z gouriano $
#############################################################################

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)
