=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #############################################################################
-# $Id: CMakeLists.txt 594373 2019-10-03 13:30:50Z gouriano $
+# $Id: CMakeLists.txt 612980 2020-07-30 19:13:50Z ivanov $
 #############################################################################
 
 # Include projects from this directory
@@ -23,6 +23,7 @@
   convert_seq
   discrepancy_report
   dustmasker
+  flat2asn
   formatguess
   gap_stats
   gi2taxid
