=== c++/src/db/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593512 2019-09-19 16:43:33Z gouriano $
#############################################################################

NCBI_add_subdirectory(bdb sqlite)
