=== c++/src/html/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593496 2019-09-19 15:43:28Z gouriano $
#############################################################################

NCBI_project_tags(web)
NCBI_add_library(html)
NCBI_add_subdirectory(test demo)
