=== c++/src/objmgr/CMakeLists.txt ===
#############################################################################
# $Id: CMakeLists.txt 593493 2019-09-19 15:37:14Z gouriano $
#############################################################################


NCBI_add_library(objmgr)
NCBI_add_subdirectory(test util split)
