=== debian/changelog ===
ncbi-blast+ (2.11.0+ds-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata - fixed indenting.

  [ Aaron M. Ucko ]
  * New upstream release.
  * debian/patches: Update accordingly.
    - bm-6.4.0: Retire (fully incorporated upstream).
    - fix_lib_deps: Formally refresh to eliminate fuzz.
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - tune_lmdb_defaults: Port to new setup, conveniently macro-driven.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 31 Jan 2021 21:23:21 -0500
