=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	   Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: 2to3,
                libboost-test-dev,
                libbz2-dev,
@@ -17,7 +17,7 @@
                time,
                zlib1g-dev,
                procps
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
 Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
