=== debian/watch ===
version=3
opts=filenamemangle=s/\+-src/-orig/,filenamemangle=s/blast/blast+/,dversionmangle=s/\+ds//,repacksuffix=+ds \
     https://ftp.ncbi.nlm.nih.gov/blast/executables/blast+/LATEST/ncbi-blast-(.*)\+-src\.tar\.gz debian uupdate
