=== c++/src/algo/CMakeLists.txt ===
# $Id: CMakeLists.txt 621932 2020-12-17 17:40:31Z ivanov $

NCBI_add_subdirectory(
  dustmask winmask sequence blast segmask align structure ms gnomon
  tree phy_tree seqqa cobalt text volume_merge primer id_mapper
)
