=== c++/src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-#############################################################################
-# $Id: CMakeLists.txt 612980 2020-07-30 19:13:50Z ivanov $
-#############################################################################
-
-# Include projects from this directory
+# $Id: CMakeLists.txt 623113 2021-01-08 14:09:17Z ivanov $
 
 NCBI_add_subdirectory(
   agp_validate
@@ -58,7 +54,6 @@
   winmasker
 )
 
-if (NCBI_EXPERIMENTAL_CFG)
 NCBI_add_subdirectory(
   dblb
   feat_import
@@ -70,9 +65,7 @@
 #  split_cache
   sub_fuse
   tls
-  wgs_parse
   wig2table
   pubseq_gateway
 )
-endif()
