=== c++/src/connect/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
-#############################################################################
-# $Id: CMakeLists.txt 599751 2020-01-07 13:05:25Z ivanov $
-#############################################################################
+# $Id: CMakeLists.txt 621583 2020-12-14 19:14:21Z ivanov $
 
-#
 # The connect library uses a split between a shared C toolkit library and an
 # independent C++ toolkit library
 # These variables capture the split
 
-if (UNIX)
-    set(os_src ${LOCAL_LBSM})
-elseif (WIN32)
-    set(os_src ncbi_lbsmd_stub ncbi_strerror)
+if (WIN32)
+    set(lbsm_src ncbi_lbsmd_stub ncbi_strerror)
+else()
+    if(EXISTS ${NCBI_CURRENT_SOURCE_DIR}/ncbi_lbsm.c)
+        set(lbsm_src ncbi_lbsm.c ncbi_lbsm_ipc.c ncbi_lbsmd.c)
+    else(WIN32)
+        set(lbsm_src ncbi_lbsmd_stub)
+    endif()
 endif()
-
 
 set(SRC_TLS
     ncbi_gnutls ncbi_mbedtls ncbi_tls
@@ -48,7 +48,7 @@
     ncbi_version ncbi_iprange ncbi_local ncbi_dispd
     ncbi_lbos ncbi_linkerd ncbi_namerd parson
     ncbi_localip
-    ${os_src}
+    ${lbsm_src}
     )
 
 set(SRC_CXX
@@ -58,11 +58,11 @@
     ncbi_pipe ncbi_pipe_connector ncbi_conn_reader_writer
     ncbi_userhost ncbi_http_session ncbi_lbos_cxx ncbi_monkey
     ncbi_service_cxx ncbi_localip_cxx ncbi_blowfish ncbi_usage_report
+    connect_misc
     ${SRC_TLS}
     )
 
-
 NCBI_disable_pch()
-NCBI_add_library(connect connssl xxconnect xconnect xthrserv)
+NCBI_add_library(connect connssl xxconnect xxconnect2 xconnect xthrserv)
 NCBI_add_subdirectory(services ext test daemons)
