=== c++/src/db/CMakeLists.txt ===
# $Id: CMakeLists.txt 621923 2020-12-17 17:38:38Z ivanov $

NCBI_add_subdirectory(bdb sqlite)
