=== c++/src/html/CMakeLists.txt ===
# $Id: CMakeLists.txt 621926 2020-12-17 17:38:58Z ivanov $

NCBI_project_tags(web)
NCBI_add_library(html)
NCBI_add_subdirectory(test demo)
