=== c++/src/objects/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-#############################################################################
-# $Id: CMakeLists.txt 597164 2019-11-18 18:14:20Z vasilche $
-#############################################################################
-
-# Include projects from this directory
+# $Id: CMakeLists.txt 621928 2020-12-17 17:39:42Z ivanov $
 
 NCBI_add_subdirectory(
   access
