=== c++/src/objmgr/CMakeLists.txt ===
# $Id: CMakeLists.txt 621931 2020-12-17 17:40:15Z ivanov $

NCBI_add_library(objmgr)
NCBI_add_subdirectory(test util split)
