=== debian/changelog ===
ncbi-blast+ (2.12.0+ds-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:27 +1100

ncbi-blast+ (2.12.0+ds-4build1) noble; urgency=medium

  * No-change rebuild against libmbedcrypto7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:09:58 +0000

ncbi-blast+ (2.12.0+ds-4) unstable; urgency=medium

  * debian/control: Drop build dependency on libpcre3-dev; PCRE2 support
    isn't ready yet, but there's a convenience copy of classic PCRE that
    will suffice for now.  (Partly addresses #891197.)
  * debian/source/lintian-overrides: Accommodate bracketed paths.
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Refer to common license file for Apache-2.0.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Sep 2023 22:40:42 -0400

ncbi-blast+ (2.12.0+ds-3) unstable; urgency=medium

  * d/patches/optin_usage_report change usage reports sending over
    internet strategy to optin (disabled by default unless specified)
    (Closes # 1005279).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Feb 2022 12:17:56 +0000

ncbi-blast+ (2.12.0+ds-2) unstable; urgency=medium

  * Clean up spurious release-status comment from 2.12.0+ds-1.
  * debian/patches/system_mbedtls_only: Patch out use of local mbed TLS
    headers, which formally rename all symbols.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 23:36:32 -0500

ncbi-blast+ (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Update accordingly.
    - fix_lib_deps, fix_unit_tests, spelling: Formally refresh to eliminate
      fuzz.
    - fix_x86isms: Retire (fully incorporated upstream.)
    - run_perl_directly: Formally update to reflect current $Id$ comment.
    - support_x32: Forward-port.
    - tune_lmdb_defaults: Keep just the MIPS tuneup; upstream's settings
      should now be fine elsewhere.
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * debian/patches/suppress_tls_version_checks (formerly
    suppress_gnutls_version_check): Suppress the mbed TLS version check too.
    (Closes: #1000358.)
  * debian/watch: Correct filenamemangle (wrong syntax for multiple rules,
    and leading components left unstripped).
  * debian/source/lintian-overrides: Simplify c++/src/html/ncbi_menu*.js
    overrides per current Lintian.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 01 Dec 2021 22:27:15 -0500
