=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: ncbi-blast+
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Andreas Tille <tille@debian.org>,
-	   Aaron M. Ucko <ucko@debian.org>
+           Aaron M. Ucko <ucko@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: 2to3,
-               libboost-test-dev,
-               libbz2-dev,
-               libc-dev-bin,
-               libgnutls28-dev,
-	       liblmdb-dev,
-               libmbedtls-dev,
-               libpcre3-dev,
-               time,
-               zlib1g-dev,
-               procps
-Standards-Version: 4.5.1
+                    libboost-test-dev,
+                    libbz2-dev,
+                    libc-dev-bin,
+                    libgnutls28-dev,
+                    liblmdb-dev,
+                    libmbedtls-dev,
+                    time,
+                    zlib1g-dev,
+                    procps
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-blastplus
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-blastplus.git
 Homepage: https://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
@@ -51,8 +51,6 @@
 Multi-Arch: foreign
 Depends: ncbi-blast+,
          ${misc:Depends}
-Breaks: blast2 (<< 1:2.5.0~)
-Replaces: blast2 (<< 1:2.5.0~)
 Description: NCBI Blast legacy call script
  This package adds some fake scripts to call NCBI+ programs
  with the NCBI blast command line. It makes use of the
